# CALL_DEF_LIGHTSRCREC Union Reference

`#include <InterfaceGraphic_Portability.hxx>`

## Data Fields

CALL_DEF_AMBLIGHTSRCREC | ambient
CALL_DEF_DIRLIGHTSRCREC | directional
CALL_DEF_POSLIGHTSRCREC | positional
CALL_DEF_SPOTLIGHTSRCREC | spot

## Field Documentation

CALL_DEF_AMBLIGHTSRCREC CALL_DEF_LIGHTSRCREC::ambient

CALL_DEF_DIRLIGHTSRCREC CALL_DEF_LIGHTSRCREC::directional

CALL_DEF_POSLIGHTSRCREC CALL_DEF_LIGHTSRCREC::positional

CALL_DEF_SPOTLIGHTSRCREC CALL_DEF_LIGHTSRCREC::spot

The documentation for this union was generated from the following file:

- InterfaceGraphic_Portability.hxx